Bug 983995 - xen Live Migrations are failing due to failure to save vm state, but using xm to save vm state works correctly
xen Live Migrations are failing due to failure to save vm state, but using xm...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.10
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 09:37 EDT by Allan Voss
Modified: 2013-10-15 15:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 15:24:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Voss 2013-07-12 09:37:05 EDT
Description of problem:
After updating to newest packages, VMs cannot be live migrated. 

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-348.1.1.el5.x86_64
xen-3.0.3-142.el5_9.2.x86_64     
xen-libs-3.0.3-142.el5_9.2.i386  
xen-libs-3.0.3-142.el5_9.2.x86_64

How reproducible:
Unknown

Steps to Reproduce:
1. Upgrade Xen system to newest (5.9)
2. attempt to live-migrate VM

Actual results:
Failure

Expected results:
Success

Additional info:
Comment 2 Miroslav Rezanina 2013-07-15 04:35:44 EDT
Hi,
when checking the logs I see error:

Disk image %s doesn't exist

Is it possible that network/guest configuration is incorrect after update???
Comment 3 Allan Voss 2013-07-15 14:29:03 EDT
I found that message in the xend.log, but it didn't come from any of the system in which they tried to migrate.

(In reply to Miroslav Rezanina from comment #2)
> Hi,
> when checking the logs I see error:
> 
> Disk image %s doesn't exist
> 
> Is it possible that network/guest configuration is incorrect after update???
Comment 4 Allan Voss 2013-07-20 16:33:35 EDT
The customer reports that in order to reproduce this, you'll need to perform the upgrade while guests are running.
Comment 10 Andrius Benokraitis 2013-10-15 15:24:08 EDT
No additional minor releases are planned for Production Phase 2 in Red Hat Enterprise Linux 5, and therefore Red Hat is closing this bugzilla as it does not meet the inclusion criteria as stated in:
https://access.redhat.com/site/support/policy/updates/errata/#Production_2_Phase

Note You need to log in before you can comment on or make changes to this bug.